### Signal

# Gtk CellEditable::remove-widget

#### Declaration

    void
    remove_widget (
      GtkCellEditable self,
      gpointer user_data
    )

#### Description [src]

This signal is meant to indicate that the cell is finished editing, and the `cell_editable` widget is being removed and may subsequently be destroyed.

Implementations of `GtkCellEditable` are responsible for emitting this signal when they are done editing. It must be emitted after the `GtkCellEditable::editing-done` signal, to give the cell renderer a chance to update the cell’s value before the widget is removed.

gtk_cell_editable_remove_widget() is a convenience method for emitting `GtkCellEditable::remove-widget`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.